Printing Layer Lists

Discussion in 'AutoCAD' started by Brent Daley, Jul 29, 2004.

  1. Brent Daley

    Brent Daley Guest

    Is there a program that I can use that will allow me to print the layers out
    of the layer manager to have on paper for reference for techs?

    I was informed of a tool to allow you to also print out the pen
    tables...that was supplied by Autodesk, is there any 3rd party software that
    does a better job of organizing it, or presentation?

    Thanks!

    --
    Brent Daley
    CAD Manager
    RD Engineering, Inc.
    11920 Burt Street, Suite 180
    Omaha, NE 68154

    Phone: 402.505.4355
    Cell: 402.981.3713
    Fax: 402.505.4432
    Email:
     
    Brent Daley, Jul 29, 2004
    #1
  2. Brent Daley

    T.Willey Guest

    You can use this lisp routine. It will make a list in acad in the text window, then just copy/paste that into a word processing program.

    As for the pen style table, I have only seen the one offered by Autodesk.

    Hope this helps,.
    Tim

    (defun c:MakeList(/ op1 op2 tb1 tlist1 ll1 ll2)

    (initget "L LT V S B U A D VP")
    (setq op1 (getkword "What type of table do you want: <L>ayer, LType, View, Style, Block, Ucs, Application, Dimstyle or VPort: "))
    (if (= op1 nil)
    (setq op1 "L")
    )

    (cond
    ((= op1 "L")
    (setq op2 "layer")
    )
    ((= op1 "LT")
    (setq op2 "ltype")
    )
    ((= op1 "V")
    (setq op2 "view")
    )
    ((= op1 "S")
    (setq op2 "style")
    )
    ((= op1 "B")
    (setq op2 "block")
    )
    ((= op1 "U")
    (setq op2 "ucs")
    )
    ((= op1 "A")
    (setq op2 "appid")
    )
    ((= op1 "D")
    (setq op2 "dimstyle")
    )
    ((= op1 "VP")
    (setq op2 "vport")
    )
    )


    (if (setq tb1 (tblnext op2 T))
    (progn
    (setq tlist1 (list (cdr (assoc 2 tb1))))

    (while (setq tb1 (tblnext op2))
    (setq tlist1 (append tlist1 (list (cdr (assoc 2 tb1)))))
    )

    (setq ll1 (vl-list-length tlist1))
    (textpage)
    (setq ll2 0)
    (repeat ll1
    (print (nth ll2 tlist1))
    (setq ll2 (1+ ll2))
    )
    )
    (prompt (strcat "\nThere are no \""op2"\" in the drawings"))
    )

    (princ)

    )
     
    T.Willey, Jul 29, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.